#
# spec file for package python3-pyxdg
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-pyxdg
Version:        0.25
Release:        3.2
Summary:        Implementations of freedesktop.org standards in python
License:        LGPL-2.1
Group:          Development/Languages/Python
Url:            http://freedesktop.org/wiki/Software/pyxdg
Source:         https://files.pythonhosted.org/packages/source/p/pyxdg/pyxdg-%{version}.tar.gz
Source1:        http://people.freedesktop.org/~takluyver/pyxdg-%{version}.tar.gz.asc
Source2:        %{name}.keyring
BuildRequires:  python3-devel
BuildArch:      noarch
BuildRequires:  hicolor-icon-theme
BuildRequires:  python3-nose
BuildRequires:  shared-mime-info
Requires:       shared-mime-info
Provides:       python3-xdg = %{version}
Obsoletes:      python3-xdg <= %{version}

%description
PyXDG is a python library to access freedesktop.org standards. Currently supported are:
 * Base Directory Specification Version 0.6
 * Menu Specification Version 1.0
 * Desktop Entry Specification Version 1.0
 * Icon Theme Specification Version 0.8
 * Recent File Spec 0.2
 * Shared-MIME-Database Specification 0.13

%prep
%setup -q -n pyxdg-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%if 0%{?suse_version} && 0%{?suse_version} > 1320
%check
nosetests
%endif

%files
%defattr(-,root,root,-)
%doc README AUTHORS COPYING ChangeLog
%{python3_sitelib}/*

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Thu Oct 22 2015 toddrme2178@gmail.com
- Disable tests on openSUSE 13.2 too.
* Thu Oct 22 2015 toddrme2178@gmail.com
- It doesn't need a shared-mime-info version that high.
  The unit tests just compare against pre-set values based on that
  version.  So remove BuildRequires version check and disable
  tests for earlier openSUSE versions.
* Sun Oct 11 2015 matwey.kornilov@gmail.com
- Provide/Obsolete python3-xdg
  For some reason there is already python3-xdg which should be
  python3-pyxdg according to guidelines (pypi name is pyxdg).
* Sat Oct 10 2015 matwey.kornilov@gmail.com
- Initial version
